Bug 123547 - Systematic crash after opening Tools > Chapter Numbering
Summary: Systematic crash after opening Tools > Chapter Numbering
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.3 target:6.1.6
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2019-02-18 17:39 UTC by dhina
Modified: 2019-03-14 20:49 UTC (History)
6 users (show)

See Also:
Crash report or crash signature: ["vcl::Font::Font(vcl::Font const &)"]


Attachments
Document to reproduce my bug (9.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-18 17:41 UTC, dhina
Details
gdb bt (19.07 KB, text/plain)
2019-02-18 21:58 UTC, Julien Nabet
Details
bt from missing storage (8.07 KB, text/plain)
2019-02-18 22:10 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dhina 2019-02-18 17:39:16 UTC
Description:
Hello,

I have a systematic crash with one of my document, in safe mode as well, when trying to open the Chapter Numbering from the Tolls menu. 
I can provide you my document. If I take another document, the crash does not happen.

Even by removing all the content of the document (empty), it still crashes.

I also regularly get that error message with this document: "Error saving the document : General Error. General input/output error." And Then I only can quit without able to save it.

Steps to Reproduce:
1. Open my document (I can provide it)
2. Tools > chapter numbering

Actual Results:
Crash

Expected Results:
Should display the Chapter numbering windows and not crash


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.1.4.2
Build ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU threads: 8; OS: Mac OS X 10.12.6; UI render: GL; 
Locale: en-GB (en_FR.UTF-8); Calc: group threaded
Comment 1 dhina 2019-02-18 17:41:47 UTC
Created attachment 149382 [details]
Document to reproduce my bug

Systematic crash after opening Tools > Chapter numbering
Comment 2 Oliver Brinzing 2019-02-18 18:06:15 UTC
confirming crash with:

Version: 6.2.0.3 (x64)
Build-ID: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc:
Comment 3 raal 2019-02-18 20:54:18 UTC
reproducible with LO 4.1, Linux
Comment 4 Julien Nabet 2019-02-18 21:58:27 UTC
Created attachment 149389 [details]
gdb bt

On pc Debian x86-64 with master sources updated some days ago, I could reproduce this.

I attached bt + some gdb + console logs.
Comment 5 Julien Nabet 2019-02-18 22:10:10 UTC
Created attachment 149393 [details]
bt from missing storage
Comment 6 Julien Nabet 2019-02-19 08:25:52 UTC
László: having noticed your last patches about OLE, thought you might be interested in the OLE part (see "bt from missing storage").
Comment 7 Julien Nabet 2019-02-19 11:21:31 UTC
I noticed that if I copy-paste the content of lcl_DrawBullet from https://opengrok.libreoffice.org/xref/core/cui/source/tabpages/numpages.cxx?r=a58f6d27#2169
to https://opengrok.libreoffice.org/xref/core/sw/source/ui/misc/outline.cxx?r=16ee4d43#822
(+ fix var names), I got no crash and the dialog appears.
Comment 8 Commit Notification 2019-03-07 10:00:49 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/684fcf2fce915f3e3e553c67fb57bdbfc8f159d5%5E%21

tdf#123547: do the same as in lcl_DrawBullet from cui/numpages.cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Julien Nabet 2019-03-07 10:15:50 UTC
Cherry-pick for 6.2 branch on review here:
https://gerrit.libreoffice.org/#/c/68843/
Comment 10 Commit Notification 2019-03-07 17:19:04 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7f2322afea3b25bc45f438b8ae9d4977ac378c1c%5E%21

tdf#123547: do the same as in lcl_DrawBullet from cui/numpages.cxx

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-03-09 06:01:54 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bb029e0483385df9a8bc8b2998284b6c28c03eab%5E%21

uitest for bug tdf#123547

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2019-03-13 13:09:11 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 8aa579830b20072af8d6e149d6b279362fe98b91
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Julien Nabet, thanks for fixing this issue!!
Comment 13 Commit Notification 2019-03-13 16:02:01 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/718e49e1f4281cfc77d05e537aab0cf701f6e341%5E%21

tdf#123547: do the same as in lcl_DrawBullet from cui/numpages.cxx

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 dhina 2019-03-14 11:19:50 UTC
Thank you very much all of you, it does not crash anymore on my machine with the new release.